{
    "doc": "Oontology term based on the OBO format (see an example here http://snapshot.geneontology.org/ontology/go-basic.obo)",
    "fields": [
        {
            "doc": "The non standardised phenotypes (i.e.: may be free text)",
            "name": "nonStandardPhenotype",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "doc": "The standardised phenotypes (i.e.: controlled terminology)",
            "name": "standardPhenotypes",
            "type": [
                "null",
                {
                    "items": {
                        "doc": "Standard phenotype term based on the OBO format (see an example here http://snapshot.geneontology.org/ontology/go-basic.obo)",
                        "fields": [
                            {
                                "name": "id",
                                "type": "string"
                            },
                            {
                                "name": "name",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "namespace",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "definition",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "comment",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "alternativeIds",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "synonyms",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "name": "isA",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "The ontology (e.g.: HPO, OMIM, SNOMED CT)",
                                "name": "ontology",
                                "type": {
                                    "doc": "The ontology to which a standard term belongs",
                                    "fields": [
                                        {
                                            "name": "name",
                                            "type": "string"
                                        },
                                        {
                                            "name": "version",
                                            "type": "string"
                                        }
                                    ],
                                    "name": "Ontology",
                                    "type": "record"
                                }
                            },
                            {
                                "doc": "The match between the non standard phenotype and this term when in silico",
                                "name": "matchScore",
                                "type": [
                                    "null",
                                    "float"
                                ]
                            }
                        ],
                        "name": "StandardPhenotype",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        }
    ],
    "name": "Phenotypes",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}